Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002496 [DCSS] FR: Gameplay Balancing minor N/A 2010-09-07 11:53 2013-12-10 13:38
Reporter galehar View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.7 ancient branch
Summary 0002496: enable conjure flame (and maybe other fire spells) to burn down doors
Description When you cast conjure flame on a closed door, you get a message "You can't ignite solid rock". Doors are wooden doors, not solid rock. And you should be able to burn them with conjure flame, and maybe other powerful fire spells. This would greatly help fire elementalists in sprint by allowing them to open doors from afar, with the drawback that a burned down door cannot be closed later.
I have no idea if they need the buff, but I certainly do ;)
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0001923closedKiloByte Allow passwall to go through doors 
related to 0001928closedKiloByte Transparent doors 

-  Notes
(0008077)
dpeg (administrator)
2010-09-07 13:52

Interesting idea, might go on some wiki page before long.

It is reasonable to assume that doors in metal walls are made of metal?
(0008079)
galehar (administrator)
2010-09-07 14:53

Sure. If the tile and the description are updated :)
(0008084)
doy (developer)
2010-09-07 16:09

Don't think fire elementalists need the buff really, and disintegration already opens doors, and it's not like fire elementalists won't have access to that. I always assumed doors were made out of the same material as the surrounding walls anyway (guess that's what happens when you don't read descriptions). I'd say just change the door description.
(0008089)
galehar (administrator)
2010-09-07 16:44

You mean change wooden doors to rock doors and stone doors??? So much for flavour...
(0008098)
MrMisterMonkey (reporter)
2010-09-07 17:25

Distinguishing between door materials would also fix 0001923 and 0001928
(0008309)
evktalo (administrator)
2010-09-09 17:56

Dunno about the suggestion in the OP, not sure if the fire casters need another perk, but it does make sense for wooden doors (see trees). I also vote for distinguishing between door materials. I'm sort of with doy's suggestion, except that (as noted in one of the other issues) jellies eat through doors and that's a cool feature. A wiki page on doors should be made some day.

--Eino
(0024365)
MarvinPA (developer)
2013-11-10 19:36

Closing some old FRs.

- Issue History
Date Modified Username Field Change
2010-09-07 11:53 galehar New Issue
2010-09-07 13:52 dpeg Note Added: 0008077
2010-09-07 14:53 galehar Note Added: 0008079
2010-09-07 16:09 doy Note Added: 0008084
2010-09-07 16:44 galehar Note Added: 0008089
2010-09-07 17:25 MrMisterMonkey Note Added: 0008098
2010-09-09 17:51 evktalo Relationship added related to 0001923
2010-09-09 17:52 evktalo Relationship added related to 0001928
2010-09-09 17:52 evktalo Relationship deleted related to 0001923
2010-09-09 17:52 evktalo Relationship deleted related to 0001928
2010-09-09 17:53 evktalo Relationship added parent of 0001923
2010-09-09 17:53 evktalo Relationship added parent of 0001928
2010-09-09 17:53 evktalo Relationship deleted parent of 0001923
2010-09-09 17:53 evktalo Relationship deleted parent of 0001928
2010-09-09 17:54 evktalo Relationship added related to 0001923
2010-09-09 17:54 evktalo Relationship added related to 0001928
2010-09-09 17:56 evktalo Note Added: 0008309
2013-05-27 17:47 mumra Issue Monitored: mumra
2013-11-10 19:36 MarvinPA Note Added: 0024365
2013-11-10 19:36 MarvinPA Status new => resolved
2013-11-10 19:36 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-10 19:36 MarvinPA Resolution open => done
2013-11-10 19:36 MarvinPA Assigned To => MarvinPA
2013-12-10 13:38 galehar Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker